Get Label

Prev Next
Get
/api/v1/Authoring/projects/{projectId}/labels/{labelId}

Returns information about a specified label

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
projectId
integer (int32) Required

Project ID of the label

labelId
integer (int32) Required

ID of the label

Responses
200

OK

Expand All
object
id
integer (int32)

The ID of the label

name
string | null

The name of the label

status
string | null

The status of the label

objects
Array of object (Configuration.Api.Models.v1.LabelObject) | null

List of objects using the label

object
type
string | null

The type of the object using the label

id
integer (int32)

The id of the object using the label

name
string | null

The name of the object using the label

version
string | null

The version info of the object using the label

dateModified
string (date-time)

The latest modification date of the object's use of the label

dateCreated
string (date-time)

The creation date of the label

dateModified
string (date-time)

The latest modification date of the label

dateLocked
string (date-time) | null

When the label was last locked

404

Not Found

object
error
string | null